<script setup>
import config from "~/lib/config";

useHead({
  titleTemplate: (title) => {
    return title
      ? `${title} - ${config.general.name_short}`
      : config.general.name_short;
  },
});
</script>

<template>
  <Layout>
    <template #header><Header /></template>
    <template #default><NuxtPage /></template>
    <template #footer><Footer /></template>
  </Layout>
</template>
